<?php
include 'db.php';

if (isset($_POST['update_package'])) {
    $mac_id = $_POST['mac_id'];
    $package_id = $_POST['package_id'];

    // Obtener la URL del XML del paquete seleccionado
    $package_sql = "SELECT xml_url FROM packages WHERE id = ?";
    $package_stmt = $conn->prepare($package_sql);
    $package_stmt->bind_param("i", $package_id);
    $package_stmt->execute();
    $package_stmt->bind_result($xml_url);
    $package_stmt->fetch();
    $package_stmt->close();

    // Actualizar el package_id y la URL del XML en la tabla macs
    $update_sql = "UPDATE macs SET package_id = ?, xml_url = ? WHERE id = ?";
    $update_stmt = $conn->prepare($update_sql);
    $update_stmt->bind_param('isi', $package_id, $xml_url, $mac_id);
    $update_stmt->execute();
    $update_stmt->close();

    // Redireccionar para evitar el reenvío de formularios al recargar la página
    header("Location: manage_macs.php?search=" . urlencode($search_query));
    exit();
}